Linux-Based Community / Regional

Compile HPSA Driver On Xenial Ubuntu Linux Kernel 4.11.0-14-generic

 
ChouTone
Occasional Contributor

Compile HPSA Driver On Xenial Ubuntu Linux Kernel 4.11.0-14-generic

I would like to install the 'hpsa' driver to a distribution running Ubuntu Xenial. Compilation of the driver has failed for me. Would anyone be able to assist me in compilation of the driver?

POP|Test :~/hpsa-3.4.20/drivers/scsi# make
make -C /lib/modules/4.11.0-14-generic/build M=/root/hpsa-3.4.20/drivers/scsi EXTRA_CFLAGS+=-DKCLASS4A modules
make[1]: Entering directory '/usr/src/linux-headers-4.11.0-14-generic'
CC [M] /root/hpsa-3.4.20/drivers/scsi/hpsa.o
/root/hpsa-3.4.20/drivers/scsi/hpsa.c: In function ‘hpsa_ioaccel_submit’:
/root/hpsa-3.4.20/drivers/scsi/hpsa.c:5748:15: error: ‘struct request’ has no member named ‘cmd_type’
cmd->request->cmd_type == REQ_TYPE_FS) {
^
/root/hpsa-3.4.20/drivers/scsi/hpsa.c:5748:29: error: ‘REQ_TYPE_FS’ undeclared (first use in this function)
cmd->request->cmd_type == REQ_TYPE_FS) {
^
/root/hpsa-3.4.20/drivers/scsi/hpsa.c:5748:29: note: each undeclared identifier is reported only once for each function it appears in
/root/hpsa-3.4.20/drivers/scsi/hpsa.c: At top level:
/root/hpsa-3.4.20/drivers/scsi/hpsa.c:6586:12: warning: ‘hpsa_eh_abort_handler’ defined but not used [-Wunused-function]
static int hpsa_eh_abort_handler(struct scsi_cmnd *sc)
^
scripts/Makefile.build:301: recipe for target '/root/hpsa-3.4.20/drivers/scsi/hpsa.o' failed
make[2]: *** [/root/hpsa-3.4.20/drivers/scsi/hpsa.o] Error 1
Makefile:1526: recipe for target '_module_/root/hpsa-3.4.20/drivers/scsi' failed
make[1]: *** [_module_/root/hpsa-3.4.20/drivers/scsi] Error 2
make[1]: Leaving directory '/usr/src/linux-headers-4.11.0-14-generic'
Makefile:83: recipe for target 'default' failed
make: *** [default] Error 2

It seems to work fine with older kernel (like 4.4.0-96-generic) but I can"t compile it on 4.11 kernel.

Would anyone be able to offer any advice about this issue?

Thanks.